Name:           mpeg2dec
Version:        0.4.0
Release:        5.b%{?dist}
Summary:        MPEG-2 decoder library and program

Group:          System Environment/Libraries
License:        LGPL
URL:            http://libmpeg2.sourceforge.net/
Source:         http://libmpeg2.sourceforge.net/files/%{name}-%{version}b.tar.gz
Patch0:         %{name}-optflags.patch
Patch1:         %{name}-pic.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  SDL-devel 
BuildRequires:  libXt-devel
# alsa-lib-devel for buggy FC2 SDL-devel
BuildRequires:  alsa-lib-devel
# For patch0, patch1
BuildRequires:  libtool

%description
mpeg2dec is a free library for decoding MPEG-2 and MPEG-1 video
streams. It is released under the terms of the GPL license.

%package        devel
Summary:        MPEG-2 decoder library development files
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}, pkgconfig

%description    devel
mpeg2dec-devel contains the files necessary to build packages that use the
mpeg2dec library.

%prep
%setup -q
%patch0 -p0
%patch1 -p0
sh ./bootstrap

%build
%configure \
%ifnarch %{ix86}
    --disable-accel-detect \
%endif
    --enable-shared
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README TODO
%{_bindir}/extract_mpeg2
%{_bindir}/corrupt_mpeg2
%{_bindir}/mpeg2dec
%{_libdir}/libmpeg2.so.*
%{_libdir}/libmpeg2convert.so.*
%{_mandir}/man1/*.1*

%files devel
%defattr(-,root,root,-)
%doc CodingStyle doc/libmpeg2.txt doc/sample*.c
%dir %{_includedir}/mpeg2dec
%{_includedir}/mpeg2dec/*.h
%{_libdir}/libmpeg2.a
%{_libdir}/libmpeg2.so
%{_libdir}/libmpeg2convert.a
%{_libdir}/libmpeg2convert.so
%{_libdir}/pkgconfig/libmpeg2.pc
%{_libdir}/pkgconfig/libmpeg2convert.pc

%changelog
* Thu Mar 09 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- switch to new release field

* Tue Feb 28 2006 Andreas Bierfert <andreas.bierfert[AT]lowlatency.de>
- add dist

* Wed Dec 07 2005 Adrian Reber <adrian@lisas.de> - 0.4.0-0.lvn.5.b
- changes for modular X

* Thu Dec 30 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> - 0.4.0-0.lvn.4.b
- Use --disable-accel-detect for non-x86 to fix asm build failure on x86_64.
  Idea from freshrpms.net/Matthias Saou

* Wed Jul 28 2004 Ville Skyttä <ville.skytta at iki.fi> - 0.4.0-0.lvn.3.b
- Update to 0.4.0b.
- Use PIC.
- Honor $RPM_OPT_FLAGS (except for -O3 for performance).
- Require pkgconfig in -devel.
- Fix build dependencies (esound-devel -> alsa-lib-devel).
- Remove INSTALL, add ChangeLog and some -devel docs.

* Tue Mar 16 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.4.0-0.lvn.2: remove dash lines

* Fri Jan 30 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.4.0-0.lvn.1:
  moved to livna
  updated to new version
  added libmpeg2convert
  added corrupt_mpeg2

* Fri Jul 18 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.3.1-0.fdr.1: initial rpm release
